import type { ServerErrorProps } from './types';
/**
 * [Go to docs](https://flowbite-svelte-admin-dashboard.vercel.app/)
 * ## Type
 * [ServerErrorProps](https://github.com/themesberg/flowbite-svelte-next/blob/main/src/lib/types.ts#L213)
 * ## Props
 * @prop title = 'Something has gone seriously wrong'
 * @prop description = "It's always time for a coffee break. We should be back by the time you finish your coffee."
 * @prop image
 * @prop btnTitle = 'Go back home'
 * @prop btnHref = '/'
 * @prop mainClass = 'bg-gray-50 dark:bg-gray-900'
 * @prop mainDivClass
 * @prop h1Class
 * @prop imgDiv = 'block md:max-w-lg'
 * @prop div2Class = 'text-center xl:max-w-4xl'
 */
declare const ServerError: import("svelte").Component<ServerErrorProps, {}, "">;
type ServerError = ReturnType<typeof ServerError>;
export default ServerError;
